// This file is part of X2C. http://x2c.lcm.at/
// 
// Copyright (c) 2018, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
// All rights reserved.
// 
// Simulation source file for EnableSuperblock block.
// Depending on the regular input, the activation event will either be passed through or blocked.
// 

/* include scicos / xcos headers */
#include <scicos.h>
#include <scicos_block4.h>

void x2c_EnableSuperblock_C(scicos_block* block, scicos_flag flag) {
	
	if (flag==3)		/* OutputEventTiming */
	{
		double *inport_In_p;
		
		inport_In_p = GetInPortPtrs(block, 1);
		
		/* check for enable input */
		if (*inport_In_p != 0)
		{
			/* enabled -> pass through event without delay */
			block->evout[0] = 0;
		}
		else
		{
			/* disabled -> block event */
			block->evout[0] = -1;
		}	
	}

}
 
 